jQuery.noConflict();
jQuery(document).ready(function ($) {
  $(".c-countdown").each(function () {
    slideComingSoon($(this));
    comingSoon1($(this));
  })

  function comingSoon1(_countdown) {
    var countDownDate = new Date(_countdown.data('time')).getTime(),
      _vDays = _countdown.data('days'),
      _vHours = _countdown.data('hours'),
      _vMinutes = _countdown.data('minutes'),
      _vSeconds = _countdown.data('seconds');

// Update the count down every 1 second
    var x = setInterval(function () {

      // Get today's date and time
      var now = new Date().getTime();

      // Find the distance between now and the count down date
      var distance = countDownDate - now;

      // Time calculations for days, hours, minutes and seconds
      var days = Math.floor(distance / (1000 * 60 * 60 * 24));
      var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
      var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
      var seconds = Math.floor((distance % (1000 * 60)) / 1000);

      // Output the result in an element with id="demo"
      _countdown.find(".c-countdown__time").empty().append(
        "<span class='c-countdown__item'><span class='c-countdown__number'>" + days + "</span><span class='c-countdown__txt'>" + _vDays + "</span></span>" +
        "<span class='c-countdown__item'><span class='c-countdown__number'>" + hours + "</span><span class='c-countdown__txt'>" + _vHours + "</span></span>" +
        "<span class='c-countdown__item'><span class='c-countdown__number'>" + minutes + "</span><span class='c-countdown__txt'>" + _vMinutes + "</span></span>" +
        "<span class='c-countdown__item'><span class='c-countdown__number'>" + seconds + "</span><span class='c-countdown__txt'>" + _vSeconds + "</span></span>");

      // If the count down is over, write some text
      if (distance < 0) {
        clearInterval(x);
        _countdown.find(".c-countdown__time")[0].innerHTML = "EXPIRED";
      }
    }, 1000);
  }

  function slideComingSoon(_countdown) {
    var _vEImg = _countdown.find('img'), _iImg = _vEImg.length, _vItem = -1;
    _vEImg.eq(0).addClass('is-active');
    if (_iImg > 1)
      setInterval(function () {
        if (++_vItem >= _iImg)
          _vItem = 0;

        _vEImg.eq(_vItem).addClass('is-active').siblings().removeClass('is-active');
      }, 7000);
  }
});